/***** Deze elementen worden overgenomen in de body *****/

body {
    margin: 0;
}

h1,
h2 {
    font-family: Poppins, sans-serif;
    color: black;
    margin: 0 0.5em;
}

h1:hover {
    color: #2f58ae;
}


p {
    font-family: Fira sans, sans-serif;
}

input {
    height: 1em;
    width: 100%;
    padding: 1em;
}


/*styling van de div genaamd "loader", hier zit de GIF in. De styling zorgt ervoor dat de GIF animatie in het midden blijft. Gemaakt met behulp van: https://codepen.io/dcode-software/pen/NEErgO*/

.loader {
    position: fixed;
    z-index: 99;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader > img {
    width: 100px;
}


.loader.hidden {
    animation: fadeOut 1s;
    animation-fill-mode: forwards;
    animation-duration: 1.5s;
}

.loader > p {
    font-family: Poppins, sans-serif;
    color: #2f58ae;
    font-weight: 500;
}

@keyframes fadeOut {
    100% {
        opacity: 100%;
        visibility: hidden;
    }
}

/***** header en navigatie elementen *****/

header {
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

a > img {
    width: 5em;
    cursor: pointer;
    margin: 0;
}

ul {
    width: 100%;
    margin: 0;
    display: flex;
    margin: 0;
    padding: 0;
    font-family: poppins;
    justify-content: space-between;
    align-items: center;
}

li {
    font-weight: 500;
    list-style-type: none;
    margin: 0 1em;
}

li:first-child {
    background-color: #2f58ae;
    ;
}

li:nth-of-type(2) {
    margin-left: auto;

}

a {
    text-transform: uppercase;
    text-decoration: none;
    color: black;
    transition: 0.7s;
}

a:hover {
    color: #2f58ae;
    font-size: 1.1em;
}


/*****searchbar*****/

form.search {
    margin: 1em;
    display: flex;
    min-width: 25em;
    width: 100%;
}

.search input {
    height: 1em;
    width: 73%;
    font-size: 0.8em
}


button {
    width: 4em;
    height: 3.3em;
    color: white;
    background-color: #2f58ae;
    border: none;
    font-size: 0.8em;
}

button:hover {
    opacity: 0.9;
    transition: 1s;
    cursor: pointer;
}



/***** main van de body *****/

img {
    width: 100%;
}

article {
    margin: 0;
    width: 100%;
    padding-bottom: 3em;
    background-color: white;
    cursor: pointer;
}



article > h2 {
    margin-left: 1em;
}


article > h2:hover {
    color: #2f58ae;
}

article > p {
    margin: 0 1em;
    margin-bottom: -1em;

}




/***** footer van de body *****/

footer {
    background-color: #333;
    padding: 3em;
    color: white;
}

footer > ul {
    width: auto;
    display: inline-block;
    margin-left: -3em;
}

.footer li {
    cursor: pointer;
    margin-left: 1em;
    font-weight: 300;
}

.footer li:hover {
    background-color: #222222;
}

.footer li:first-child {
    margin-bottom: 1em;
    font-size: 1em;
    font-weight: 500;
    background-color: #333;
}

footer p {
    margin-left: -2em
}



/***** Tablet grootte *****/

@media (min-width:40em) {

    header form.search {
        width: auto;
    }
    main {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    main h2 {
        grid-column: 1/3;

    }

    main form {
        grid-column: 1/2;
        width: 80%;
    }

    main #login {
        padding-bottom: 10em;
    }

    main #email {
        grid-column: 2/2;
        padding-top: 2em;
        align-content: center;
    }

    main #email .submit {
        width: 50%
    }

    main #login .submit {
        width: 50%;
    }


}



/***** log in pagina, formulieren voor de gebruiker om in te loggen *****/

main #titel {
    margin-left: 0.6em;
}

main form {
    padding: 1em;
}

main p {
    margin-left: 1.5em;
    font-weight: 500;
}

main label {
    font-family: Poppins, sans-serif;
    color: black;
    margin-left: 2em;
    font-size: 0.8em;
    font-weight: 500;
}

main #vergeten {
    text-align: center;
    margin-right: 3em;
    font-weight: 400;
    font-size: 0.8em;
    cursor: pointer;
}

main #vergeten:hover {
    color: #2f58ae;
}


main form input {
    width: 80%;
    height: 0.5em;
    margin-left: 2em;
    margin-bottom: 1em;
}

main form .submit {
    color: white;
    background-color: #2f58ae;
    width: 86%;
    padding-bottom: 2em;
    font-weight: 500;
    cursor: pointer;
}

main form .submit:hover {
    opacity: 0.9;
    transition: 1s;
}

/* -----BRONNEN-----
https://css-tricks.com/snippets/css/complete-guide-grid/
https://heelhollandbakt.omroepmax.nl/
https://codepen.io/dcode-software/pen/NEErgO
https://www.developerdrive.com/how-to-create-a-beautiful-login-form/ 
*/
